<?php

namespace Neuron\Person\Medical;

class Storage {  

	const LOADBY_ID = 0;
	
	const LIST_ALL = 0;
	const LISTBY_PAGE = 1;
	const LISTBY_PERSON_TYPE = 2;
	const LISTBY_TYPE = 3;
	
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
			return new Storage\Oci8($adapter, $config);
		} else {
			return new Storage\Mysql($adapter, $config);
		}
	}
  
}